<div class="container">
  <!-- Page Heading -->
  <div class="row">
    <div class="col-md-12 col-sm-12 col-xs-12">
      <h1 class="page-header">{{product.name}}</h1>
    </div>
  </div>
  <!-- /.row -->

  <div class="row">
    <div class="col-md-6 col-sm-12">
      {% if product.images.size == 0 %}
      <!-- There's no image available -->
      <div class="col-sm-12 text-center">
        <div class="product-page-no-image">
          <img class="img-hover" src="{{ 'no-image-home.jpg' | asset }}" alt="{{product.name}}">
          <br>{% t "There's no product image available" %}
        </div>
      </div>
      {% elsif product.images.size == 1 %}
      <!-- There's only One image -->
      <div class="col-sm-12">
        <div class="main-product-image">
          <img src="{{product.images.first | resize:'400x500'}}" alt="{{product.name}}">
        </div>
      </div>
      {% elsif product.images.size > 1 %}
      <div class="col-sm-12">
        <div class="main-product-image space">
          <div id="product-carousel" class="carousel slide">
            <div class="carousel-inner" role="listbox">
              <div class="item active">
                <img id="first-image" src="{{product.images.first | resize:'400x500'}}" alt="{{product.name}}">
              </div>
              {% for image in product.images offset:1 %}
              <div class="item"><img src="{{image | resize:'400x500'}}" alt="{{product.name}}"></div>
              {% endfor %}
            </div>
          </div>
          <a class="left carousel-control" href="#product-carousel" role="button" data-slide="prev">
            <span class="glyphicon glyphicon-chevron-left" aria-hidden="true"></span>
            <span class="sr-only">Previous</span>
          </a>
          <a class="right carousel-control" href="#product-carousel" role="button" data-slide="next">
            <span class="glyphicon glyphicon-chevron-right" aria-hidden="true"></span>
            <span class="sr-only">Next</span>
          </a>
        </div>
      </div>
      <!-- Thumb Images -->
      <div class="col-sm-12 product-page-thumbs space">
        {% for image in product.images  %}
        <a class="thumbs" data-image="{{forloop.index}}" href="#"><img src="{{image | resize:'120x100' }}" alt="{{product.name}}" /></a>
        {% endfor %}
      </div>
      {% endif %}
    </div>

    <div class="col-md-6 col-sm-12">
      <div class="col-sm-12">
        <form class="form-horizontal" action="{{product.add_to_cart_url}}" method="post" enctype="multipart/form-data" name="buy">
          <div class="row">

            <!-- Product Price  -->
            <div class="form-group">
              <label class="col-sm-3 col-md-3 control-label">{% t "Price" %}:</label>
              <div class="col-sm-8 col-md-9">
                <span class="product-form-price">{{product.price | minus:product.discount | price}}</span>
                {% if product.discount > 0 %}
                <span class="product-form-discount">( {{product.price | price}} )</span>
                {% endif %}

              </div>
            </div>

            {% if product.brand %}
            <div class="form-group">
              <label class="col-sm-3 col-md-3 control-label">{% t "Brand" %}:</label>
              <div class="col-sm-8 col-md-9">
                <span class="product-form-brand">{{product.brand}}</span>
              </div>
            </div>
            {% endif %}
            {% if product.stock_unlimited == false and product.stock > 0 %}
            <div id="stock"class="form-group">
              <label class="col-sm-3 col-md-3 control-label">{% t "Stock" %}:</label>
              <div class="col-sm-8 col-md-9">
                <span class="product-form-stock">{{product.stock}}</span>
              </div>
            </div>
            {% endif %}
            <div class="form-group">
              <label for="Quantity" class="col-sm-3 col-md-3 control-label">{% t "Quantity" %}:</label>
              <div class="col-sm-8 col-md-9">
               {% capture maxStock  %} max= "{{ product.stock }}" {% endcapture  %}
                <input type="text" class="qty form-control" id="input-qty" name="qty" maxlength="5" value="1" {% if product.stock_unlimited == true %}  {% else %}  {{maxStock}} {% endif %}>
              </div>
            </div>

            {% for option in product.options %}
            <div class="form-group qty-select">
              <label for="Quantity" class="col-sm-3 col-md-3 control-label">{{option.name}}:</label>
              <div class="col-sm-8 col-md-9">
                {% if option.type == 'option' %}
                <select name="{{option.name}}" class="form-control">
                  {% for value in option.values %}
                  <option value="{{value.id}}">{{value.name}}</option>
                  {% endfor %}
                </select>
                {% elsif option.type == 'input' %}
                {% for value in option.values %}
                <input class="text form-control" type="text" name='{{option.name}}' placeholder='{{value.name}}'></input>
                {% endfor %}
                {% elsif option.type == 'text' %}
                {% for value in option.values %}
                <textarea class="textarea form-control" name='{{option.name}}' placeholder='{{value.name}}'></textarea>
                {% endfor %}
                {% elsif option.type == 'file' %}
                <input class="filestyle product_option_value_file_upload" type="file" name="{{option.name}}"/>
                {% endif %}
              </div>
            </div>
            {% endfor %}

            {% if product.stock == 0 and product.stock_unlimited == false %}
            <!-- Out of Stock -->
            <div class="form-group product-stock">
              <label class="col-sm-3 col-md-3 control-label">{% t "Availability" %}:</label>
              <div class="col-sm-8 col-md-9">
                <span class="product-form-price">{% t "Out of stock" %}</span>
                <p>{% t "This product has run out of stock. You may send us an inquiry about it" %}.</p>
                <a href="{{contact.url}}" class="btn btn-default btn-sm" title="{% t 'Contact Us' %}">{% t "Contact Us" %}</a>
                <a href="{{store.url}}" class="btn btn-link btn-sm" title="&larr; {% t 'or Continue Shopping' %}">&larr; {% t "or Continue Shopping" %}</a>
              </div>
            </div>

            <!-- Not Available -->
            {% elsif product.status == 'not-available' %}

            <div class="form-group product-stock">
              <label class="col-sm-3 col-md-3 control-label">{% t "Availability" %}:</label>
              <div class="col-sm-8 col-md-9">
                <span class="product-form-price">{% t "Not Available" %}</span>
                <p>{% t "This product is currently unavailable. You may send us an inquiry about it" %}.</p>
                <a href="{{contact.url}}" class="btn btn-default btn-sm" title="{% t 'Contact Us' %}">{% t "Contact Us" %}</a>
                <a href="{{store.url}}" class="btn btn-link btn-sm" title="&larr; {% t 'or Continue Shopping' %}">&larr; {% t "or Continue Shopping" %}</a>
              </div>
            </div>


            {% else %}

            <div class="form-group product-stock">
              <div class="col-sm-8 col-sm-offset-3 col-md-9 col-md-offset-3">
                <input type="submit" class="adc btn btn-primary" value="{% t 'Add to Shopping Cart' %}" />
                <a href="{{store.url}}" class="btn btn-link" title="{% t 'Continue Shopping' %}">&larr; {% t 'Continue Shopping' %}</a>
              </div>
            </div>

            {% endif %}


            <div class="form-group">
              <label class="col-sm-3 col-md-3 control-label">{% t "Description" %}:</label>
              <div class="col-sm-8 col-md-9 description">
                {{product.description}}
              </div>
            </div>


            {% if product.fields != empty %}
            <div class="form-group">
              <label class="col-sm-3 col-md-3 control-label">{% t "Details" %}:</label>
              <div class="col-sm-9 col-md-9">
                {% for field in product.fields %}
                <p>{{field.label}}: {{field.value}}</p>
                {% endfor %}
              </div>
            </div>
            {% endif %}

            {% unless product.digital or product.attachments == empty %}
            <div class="form-group">
              <label class="col-sm-3 col-md-3 control-label">{% t "Attachments" %}:</label>
              <div class="col-sm-9 col-md-9">
                {% for attachment in product.attachments %}
                <p><a target="_blank" href="{{attachment.url}}">{{attachment.name}}</a></p>
                {% endfor %}
              </div>
            </div>
            {% endunless %}
          </div>
        </form>
      </div>

      <div id="product-sharing" class="col-sm-12 col-md-12">
        <label class="col-sm-3 col-md-3 ">{% t 'Share' %}:</label>
        <ul class="list-inline social-networks col-sm-9 col-md-9">
          {% if options.facebook_button_on_products %}
          <li>
            <a href="https://www.facebook.com/sharer/sharer.php?u={{store.url}}{{product.url}}" class="has-tip tip-top radius button tiny button-facebook trsn" title="{% t 'Share on Facebook' %}" target="_blank" data-tooltip>
              <i class="fa fa-facebook"></i>
            </a>
          </li>
          {% endif %}

          {% if options.twitter_button_on_products %}
          <li>
            <a href="https://twitter.com/share?url={{store.url}}{{product.url}}&text={{product.name}}: {{ product.price | price }}" class="has-tip tip-top radius button tiny button-twitter trsn" title="{% t 'Share on Twitter' %}" target="_blank" data-tooltip>
              <i class="fa fa-twitter"></i>
            </a>
          </li>
          {% endif %}

          {% if options.google_button_on_products %}
          <li>
            <a href="https://plus.google.com/share?url={{store.url}}{{product.url}}" class="has-tip tip-top radius button tiny button-google-plus trsn" title="{% t 'Share on Google+' %}" target="_blank" data-tooltip>
              <i class="fa fa-google-plus"></i>
            </a>
          </li>
          {% endif %}

          {% if options.pinterest_button_on_products %}
          <li>
            <a href="https://pinterest.com/pin/create/bookmarklet/?media={{product.images.first}}&url={{store.url}}{{product.url}}&is_video=false&description={{product.name}}: {{ product.description | strip_html }}" class="has-tip tip-top radius button tiny button-pinterest trsn" title="{% t 'Share on Pinterest' %}" target="_blank" data-tooltip>
              <i class="fa fa-pinterest"></i>
            </a>
          </li>
          {% endif %}

          {% if options.tumblr_button_on_products %}
          <li>
            <a class="has-tip tip-top radius button tiny button-tumblr trsn" title="{% t 'Share on Tumblr' %}" href="http://tumblr.com/widgets/share/tool?canonicalUrl={{store.url}}{{product.url}}">
              <i class="fa fa-tumblr"></i>
            </a>
          </li>
          <script id="tumblr-js" async src="https://assets.tumblr.com/share-button.js"></script>
          {% endif %}

        </ul>

      </div>
      <script type="text/javascript">
      $('#product-sharing a').click(function(){
        return !window.open(this.href, 'Share', 'width=640,height=300');
      });
      </script>


    </div>
  </div>

</div>


<script type="text/javascript">
$(document).ready(function(){
  $('#product-carousel').carousel({interval: false});
  $('.thumbs').click(function(e){
    e.preventDefault();
    $("#product-carousel").carousel(parseInt($(this).attr('data-image')) -1);
  });
  $("#product-link").click(function () {
    $(this).select();
  });
});
</script>

{% if product.options.size > 0 %}
<script type="text/javascript">
var callbackFunction = function(event, productInfo){
  // if productInfo is not emtpy or null
  if(!$.isEmptyObject(productInfo)){
    //update stock
    if((productInfo.stock == 0 && productInfo.stock_unlimited == false) || productInfo.status == 'not-available') {
      $('#stock').html('');
      $('#stock').hide();
      $('.product-stock').html('<label class="col-sm-3 col-md-3 control-label">{% t "Availability" %}:</label><div class="col-sm-8 col-md-9"><span class="">{% t "Out of stock" %}</span><p>{% t "This product has run out of stock. You may send us an inquiry about it" %}.</p><a href="{{contact.url}}" class="btn btn-default btn-sm" title="{% t 'Contact Us' %}">{% t "Contact Us" %}</a><a href="{{store.url}}" class="btn btn-link btn-sm" title="&larr; {% t 'or Continue Shopping' %}">&larr; {% t "or Continue Shopping" %}</a></div>');
    }
    else {
      $('.product-stock').html('<div class="form-group product-stock"><div class="col-sm-8 col-sm-offset-3 col-md-9 col-md-offset-3"><input type="submit" class="adc btn btn-primary" value="{% t 'Add to Shopping Cart' %}" /><a href="{{store.url}}" class="btn btn-link" title="{% t 'Continue Shopping' %}">&larr; {% t 'Continue Shopping' %}</a></div></div>');
      if (productInfo.stock_unlimited == false && productInfo.stock > 0) {
        $('#stock').html(' <label class="col-sm-3 col-md-3 control-label">{% t "Stock" %}:</label><div class="col-sm-8 col-md-9"><span class="product-form-stock">' + productInfo.stock +'</span></div>');
        $('#stock').show();
      }
      else {
        $('#stock').html('');
        $('#stock').hide();
      }

    }
    // if there is no discount
    if(productInfo.discount == 0){
      // update price
      $('.product-form-price').text(productInfo.price_formatted);
    }
    else{
      // update price with discount
      $('.product-form-price').text(productInfo.price_discount_formatted);

      // update price
      $('.product-form-discount').text('(' + productInfo.price_formatted + ')');
    }
    changeCurrency(true);
  }
};

$(document).ready(function(){
  $(".product_option_value_file_upload").filestyle({icon: false});

  Jumpseller.productVariantListener(".qty-select select", {product: '{{ product | json }}', callback: callbackFunction});
});
</script>
{% endif %}
